Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOpenGLLight Class Reference

`#include <vtkOpenGLLight.h>`

Inheritance diagram for vtkOpenGLLight:

[legend]
Collaboration diagram for vtkOpenGLLight:

[legend]
List of all members.

## Detailed Description

OpenGL light.

Date:
  2002/08/22 18:39:31

Revision:
  1.18

vtkOpenGLLight is a concrete implementation of the abstract class vtkLight. vtkOpenGLLight interfaces to the OpenGL rendering library.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (61%)
  - Cedilnik, Andy (10%)
  - Halle, Michael (6%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkOpenGLLight.h)`
  - .`cxx` (`/Rendering/vtkOpenGLLight.cxx)`

Definition at line 45 of file vtkOpenGLLight.h.

## Public Types
typedef vtkLight | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
void | Render (vtkRenderer *ren, int light_index)
## Static Public Methods
vtkOpenGLLight * | New ()
int | IsTypeOf (const char *type)
vtkOpenGLLight * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkOpenGLLight ()
| ~vtkOpenGLLight ()

## Member Typedef Documentation

typedef vtkLight vtkOpenGLLight::Superclass

| Reimplemented from vtkLight. Definition at line 49 of file vtkOpenGLLight.h.

## Constructor & Destructor Documentation

vtkOpenGLLight::vtkOpenGLLight | ( |  | ) | `[inline, protected]`

| Definition at line 56 of file vtkOpenGLLight.h.

vtkOpenGLLight::~vtkOpenGLLight | ( |  | ) | `[inline, protected]`

| Definition at line 57 of file vtkOpenGLLight.h.

## Member Function Documentation

vtkOpenGLLight* vtkOpenGLLight::New | ( |  | ) | `[static]`

| Create a light with the focal point at the origin and its position set to (0,0,1). The light is a SceneLight, its color is white, intensity=1, and the light is turned on. Reimplemented from vtkLight.

virtual const char* vtkOpenGLLight::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkLight.

int vtkOpenGLLight::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkLight.

virtual int vtkOpenGLLight::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkLight.

vtkOpenGLLight* vtkOpenGLLight::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkLight.

virtual void vtkOpenGLLight::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkLight.

void vtkOpenGLLight::Render | ( | vtkRenderer * | ren,
|  | int | light_index
| ) | `[virtual]`

| Implement base class method. Reimplemented from vtkLight.

The documentation for this class was generated from the following file:

- Rendering/vtkOpenGLLight.h